Index: /trunk/sources/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj	(revision 2663)
+++ /trunk/sources/HeuristicLab.Collections/3.3/HeuristicLab.Collections-3.3.csproj	(revision 2664)
@@ -49,4 +49,5 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="ObservableKeyedCollection.cs" />
     <Compile Include="ReadOnlyObservableSet.cs" />
     <Compile Include="IObservableSet.cs" />
@@ -64,5 +65,4 @@
     <Compile Include="IObservableCollection.cs" />
     <Compile Include="IObservableDictionary.cs" />
-    <Compile Include="ObservableKeyedCollectionBase.cs" />
     <Compile Include="ObservableCollection.cs" />
     <Compile Include="IndexedItem.cs" />
Index: /trunk/sources/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Collections/3.3/ObservableKeyedCollection.cs	(revision 2664)
@@ -0,0 +1,290 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections;
+using System.Collections.Generic;
+using System.Collections.ObjectModel;
+using System.ComponentModel;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Collections {
+  [Serializable]
+  public abstract class ObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
+    [Storable]
+    private Dictionary<TKey, TItem> dict;
+
+    #region Properties
+    public int Count {
+      get { return dict.Count; }
+    }
+    public IEqualityComparer<TKey> Comparer {
+      get { return dict.Comparer; }
+    }
+    bool ICollection<TItem>.IsReadOnly {
+      get { return ((ICollection<KeyValuePair<TKey, TItem>>)dict).IsReadOnly; }
+    }
+
+    public TItem this[TKey key] {
+      get {
+        return dict[key];
+      }
+    }
+    #endregion
+
+    #region Constructors
+    protected ObservableKeyedCollection() {
+      dict = new Dictionary<TKey, TItem>();
+    }
+    protected ObservableKeyedCollection(int capacity) {
+      dict = new Dictionary<TKey, TItem>(capacity);
+    }
+    protected ObservableKeyedCollection(IEqualityComparer<TKey> comparer) {
+      dict = new Dictionary<TKey, TItem>(comparer);
+    }
+    protected ObservableKeyedCollection(IEnumerable<TItem> collection) {
+      if (collection == null) throw new ArgumentNullException();
+      dict = new Dictionary<TKey, TItem>();
+      foreach (TItem item in collection)
+        dict.Add(GetKeyForItem(item), item);
+      OnItemsAdded(collection);
+    }
+    protected ObservableKeyedCollection(int capacity, IEqualityComparer<TKey> comparer) {
+      dict = new Dictionary<TKey, TItem>(capacity, comparer);
+    }
+    protected ObservableKeyedCollection(IEnumerable<TItem> collection, IEqualityComparer<TKey> comparer) {
+      if (collection == null) throw new ArgumentNullException();
+      dict = new Dictionary<TKey, TItem>(comparer);
+      foreach (TItem item in collection)
+        dict.Add(GetKeyForItem(item), item);
+      OnItemsAdded(collection);
+    }
+    #endregion
+
+    protected abstract TKey GetKeyForItem(TItem item);
+    protected void UpdateItemKey(TItem item) {
+      if (item == null) throw new ArgumentNullException();
+      TKey oldKey = default(TKey);
+      bool oldKeyFound = false;
+      foreach (KeyValuePair<TKey, TItem> entry in dict) {
+        if (entry.Value.Equals(item)) {
+          oldKey = entry.Key;
+          oldKeyFound = true;
+          break;
+        }
+      }
+      if (!oldKeyFound) throw new ArgumentException("Item not found");
+      dict.Remove(oldKey);
+      dict.Add(GetKeyForItem(item), item);
+      OnPropertyChanged("Item[]");
+      OnItemsReplaced(new TItem[] { item }, new TItem[] { item });
+    }
+
+    #region Access
+    public bool ContainsKey(TKey key) {
+      return dict.ContainsKey(key);
+    }
+    public bool Contains(TItem item) {
+      return dict.ContainsValue(item);
+    }
+
+    public bool TryGetValue(TKey key, out TItem item) {
+      return dict.TryGetValue(key, out item);
+    }
+
+    public bool Exists(Predicate<TItem> match) {
+      if (match == null) throw new ArgumentNullException();
+      foreach (TItem item in dict.Values) {
+        if (match(item)) return true;
+      }
+      return false;
+    }
+
+    public TItem Find(Predicate<TItem> match) {
+      if (match == null) throw new ArgumentNullException();
+      foreach (TItem item in dict.Values) {
+        if (match(item)) return item;
+      }
+      return default(TItem);
+    }
+    public ICollection<TItem> FindAll(Predicate<TItem> match) {
+      if (match == null) throw new ArgumentNullException();
+      List<TItem> result = new List<TItem>();
+      foreach (TItem item in dict.Values) {
+        if (match(item)) result.Add(item);
+      }
+      return result;
+    }
+    #endregion
+
+    #region Manipulation
+    public void Add(TItem item) {
+      dict.Add(GetKeyForItem(item), item);
+      OnPropertyChanged("Item[]");
+      OnPropertyChanged("Count");
+      OnItemsAdded(new TItem[] { item });
+    }
+    public void AddRange(IEnumerable<TItem> collection) {
+      if (collection == null) throw new ArgumentNullException();
+      bool empty = true;
+      foreach (TItem item in collection) {
+        dict.Add(GetKeyForItem(item), item);
+        empty = false;
+      }
+      if (!empty) {
+        OnPropertyChanged("Item[]");
+        OnPropertyChanged("Count");
+        OnItemsAdded(collection);
+      }
+    }
+
+    public bool Remove(TKey key) {
+      TItem item;
+      if (TryGetValue(key, out item)) {
+        dict.Remove(key);
+        OnPropertyChanged("Item[]");
+        OnPropertyChanged("Count");
+        OnItemsRemoved(new TItem[] { item });
+        return true;
+      }
+      return false;
+    }
+    public bool Remove(TItem item) {
+      if (dict.Remove(GetKeyForItem(item))) {
+        OnPropertyChanged("Item[]");
+        OnPropertyChanged("Count");
+        OnItemsRemoved(new TItem[] { item });
+        return true;
+      }
+      return false;
+    }
+    public void RemoveRange(IEnumerable<TItem> collection) {
+      if (collection == null) throw new ArgumentNullException();
+      List<TItem> items = new List<TItem>();
+      foreach (TItem item in collection) {
+        if (dict.Remove(GetKeyForItem(item)))
+          items.Add(item);
+      }
+      if (items.Count > 0) {
+        OnPropertyChanged("Item[]");
+        OnPropertyChanged("Count");
+        OnItemsRemoved(items);
+      }
+    }
+    public int RemoveAll(Predicate<TItem> match) {
+      ICollection<TItem> items = FindAll(match);
+      RemoveRange(items);
+      return items.Count;
+    }
+
+    public void Clear() {
+      if (dict.Count > 0) {
+        TItem[] items = dict.Values.ToArray();
+        dict.Clear();
+        OnPropertyChanged("Item[]");
+        OnPropertyChanged("Count");
+        OnCollectionReset(new TItem[0], items);
+      }
+    }
+    #endregion
+
+    #region Conversion
+    public ReadOnlyObservableKeyedCollection<TKey, TItem> AsReadOnly() {
+      return new ReadOnlyObservableKeyedCollection<TKey, TItem>(this);
+    }
+    public TItem[] ToArray() {
+      return dict.Values.ToArray();
+    }
+    public void CopyTo(TItem[] array, int arrayIndex) {
+      dict.Values.CopyTo(array, arrayIndex);
+    }
+    public ICollection<TOutput> ConvertAll<TOutput>(Converter<TItem, TOutput> converter) {
+      if (converter == null) throw new ArgumentNullException();
+      List<TOutput> result = new List<TOutput>();
+      foreach (TItem item in dict.Values)
+        result.Add(converter(item));
+      return result;
+    }
+    #endregion
+
+    #region Processing
+    public void ForEach(Action<TItem> action) {
+      if (action == null) throw new ArgumentNullException();
+      foreach (TItem item in dict.Values)
+        action(item);
+    }
+    public bool TrueForAll(Predicate<TItem> match) {
+      if (match == null) throw new ArgumentNullException();
+      foreach (TItem item in dict.Values)
+        if (! match(item)) return false;
+      return true;
+    }
+    #endregion
+
+    #region Enumeration
+    public IEnumerator<TItem> GetEnumerator() {
+      return dict.Values.GetEnumerator();
+    }
+    IEnumerator IEnumerable.GetEnumerator() {
+      return dict.Values.GetEnumerator();
+    }
+    #endregion
+
+    #region Events
+    [field: NonSerialized]
+    public event CollectionItemsChangedEventHandler<TItem> ItemsAdded;
+    protected virtual void OnItemsAdded(IEnumerable<TItem> items) {
+      if (ItemsAdded != null)
+        ItemsAdded(this, new CollectionItemsChangedEventArgs<TItem>(items));
+    }
+
+    [field: NonSerialized]
+    public event CollectionItemsChangedEventHandler<TItem> ItemsRemoved;
+    protected virtual void OnItemsRemoved(IEnumerable<TItem> items) {
+      if (ItemsRemoved != null)
+        ItemsRemoved(this, new CollectionItemsChangedEventArgs<TItem>(items));
+    }
+
+    [field: NonSerialized]
+    public event CollectionItemsChangedEventHandler<TItem> ItemsReplaced;
+    protected virtual void OnItemsReplaced(IEnumerable<TItem> items, IEnumerable<TItem> oldItems) {
+      if (ItemsReplaced != null)
+        ItemsReplaced(this, new CollectionItemsChangedEventArgs<TItem>(items, oldItems));
+    }
+
+    [field: NonSerialized]
+    public event CollectionItemsChangedEventHandler<TItem> CollectionReset;
+    protected virtual void OnCollectionReset(IEnumerable<TItem> items, IEnumerable<TItem> oldItems) {
+      if (CollectionReset != null)
+        CollectionReset(this, new CollectionItemsChangedEventArgs<TItem>(items, oldItems));
+    }
+
+    [field: NonSerialized]
+    public event PropertyChangedEventHandler PropertyChanged;
+    protected virtual void OnPropertyChanged(string propertyName) {
+      if (PropertyChanged != null)
+        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+    }
+    #endregion
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/DefaultItemView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/DefaultItemView.Designer.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/DefaultItemView.Designer.cs	(revision 2664)
@@ -0,0 +1,76 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Core.Views {
+  partial class DefaultItemView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.messageLabel = new System.Windows.Forms.Label();
+      this.SuspendLayout();
+      // 
+      // messageLabel
+      // 
+      this.messageLabel.Anchor = System.Windows.Forms.AnchorStyles.Top;
+      this.messageLabel.AutoSize = true;
+      this.messageLabel.Location = new System.Drawing.Point(55, 0);
+      this.messageLabel.Name = "messageLabel";
+      this.messageLabel.Size = new System.Drawing.Size(91, 13);
+      this.messageLabel.TabIndex = 0;
+      this.messageLabel.Text = "No view available";
+      // 
+      // DataBaseView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.messageLabel);
+      this.Name = "DataBaseView";
+      this.Size = new System.Drawing.Size(201, 46);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label messageLabel;
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/DefaultItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/DefaultItemView.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/DefaultItemView.cs	(revision 2664)
@@ -0,0 +1,52 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Core.Views { 
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [Content(typeof(Item), true)]
+  public partial class DefaultItemView : ItemView {
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public DefaultItemView() {
+      InitializeComponent();
+    }
+    /// <summary>
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The item that should be displayed.</param>
+    public DefaultItemView(Item item)
+      : this() {
+      Item = item;
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs	(revision 2664)
@@ -0,0 +1,192 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Core.Views {
+  partial class EngineView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.executionTimeTextBox = new System.Windows.Forms.TextBox();
+      this.executionTimeLabel = new System.Windows.Forms.Label();
+      this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.operatorGraphView = new HeuristicLab.Core.Views.OperatorGraphView();
+      this.scopeView = new HeuristicLab.Core.Views.ScopeView();
+      this.resetButton = new System.Windows.Forms.Button();
+      this.stopButton = new System.Windows.Forms.Button();
+      this.startButton = new System.Windows.Forms.Button();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // executionTimeTextBox
+      // 
+      this.executionTimeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.executionTimeTextBox.Location = new System.Drawing.Point(661, 620);
+      this.executionTimeTextBox.Name = "executionTimeTextBox";
+      this.executionTimeTextBox.ReadOnly = true;
+      this.executionTimeTextBox.Size = new System.Drawing.Size(141, 20);
+      this.executionTimeTextBox.TabIndex = 4;
+      // 
+      // executionTimeLabel
+      // 
+      this.executionTimeLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.executionTimeLabel.AutoSize = true;
+      this.executionTimeLabel.Location = new System.Drawing.Point(572, 623);
+      this.executionTimeLabel.Name = "executionTimeLabel";
+      this.executionTimeLabel.Size = new System.Drawing.Size(83, 13);
+      this.executionTimeLabel.TabIndex = 3;
+      this.executionTimeLabel.Text = "&Execution Time:";
+      // 
+      // splitContainer
+      // 
+      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer.Location = new System.Drawing.Point(0, 0);
+      this.splitContainer.Name = "splitContainer";
+      // 
+      // splitContainer.Panel1
+      // 
+      this.splitContainer.Panel1.Controls.Add(this.operatorGraphView);
+      // 
+      // splitContainer.Panel2
+      // 
+      this.splitContainer.Panel2.Controls.Add(this.scopeView);
+      this.splitContainer.Size = new System.Drawing.Size(802, 611);
+      this.splitContainer.SplitterDistance = 401;
+      this.splitContainer.TabIndex = 0;
+      // 
+      // operatorGraphView
+      // 
+      this.operatorGraphView.Caption = "Operator Graph";
+      this.operatorGraphView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.operatorGraphView.Item = null;
+      this.operatorGraphView.Location = new System.Drawing.Point(0, 0);
+      this.operatorGraphView.Name = "operatorGraphView";
+      this.operatorGraphView.OperatorGraph = null;
+      this.operatorGraphView.Size = new System.Drawing.Size(401, 611);
+      this.operatorGraphView.TabIndex = 0;
+      // 
+      // scopeView
+      // 
+      this.scopeView.Caption = "Scope";
+      this.scopeView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scopeView.Item = null;
+      this.scopeView.Location = new System.Drawing.Point(0, 0);
+      this.scopeView.Name = "scopeView";
+      this.scopeView.Scope = null;
+      this.scopeView.Size = new System.Drawing.Size(397, 611);
+      this.scopeView.TabIndex = 0;
+      // 
+      // resetButton
+      // 
+      this.resetButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.resetButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Restart;
+      this.resetButton.Location = new System.Drawing.Point(58, 617);
+      this.resetButton.Name = "resetButton";
+      this.resetButton.Size = new System.Drawing.Size(23, 23);
+      this.resetButton.TabIndex = 2;
+      this.toolTip.SetToolTip(this.resetButton, "Reset Engine");
+      this.resetButton.UseVisualStyleBackColor = true;
+      this.resetButton.Click += new System.EventHandler(this.resetButton_Click);
+      // 
+      // stopButton
+      // 
+      this.stopButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.stopButton.Enabled = false;
+      this.stopButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Stop;
+      this.stopButton.Location = new System.Drawing.Point(29, 617);
+      this.stopButton.Name = "stopButton";
+      this.stopButton.Size = new System.Drawing.Size(23, 23);
+      this.stopButton.TabIndex = 1;
+      this.toolTip.SetToolTip(this.stopButton, "Stop Engine");
+      this.stopButton.UseVisualStyleBackColor = true;
+      this.stopButton.Click += new System.EventHandler(this.stopButton_Click);
+      // 
+      // startButton
+      // 
+      this.startButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.startButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Play;
+      this.startButton.Location = new System.Drawing.Point(0, 617);
+      this.startButton.Name = "startButton";
+      this.startButton.Size = new System.Drawing.Size(23, 23);
+      this.startButton.TabIndex = 0;
+      this.toolTip.SetToolTip(this.startButton, "Start Engine");
+      this.startButton.UseVisualStyleBackColor = true;
+      this.startButton.Click += new System.EventHandler(this.startButton_Click);
+      // 
+      // EngineBaseView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.executionTimeTextBox);
+      this.Controls.Add(this.executionTimeLabel);
+      this.Controls.Add(this.splitContainer);
+      this.Controls.Add(this.resetButton);
+      this.Controls.Add(this.stopButton);
+      this.Controls.Add(this.startButton);
+      this.Name = "EngineBaseView";
+      this.Size = new System.Drawing.Size(802, 640);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      this.splitContainer.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    protected System.Windows.Forms.TextBox executionTimeTextBox;
+    protected System.Windows.Forms.Label executionTimeLabel;
+    protected System.Windows.Forms.SplitContainer splitContainer;
+    protected System.Windows.Forms.Button resetButton;
+    protected System.Windows.Forms.Button stopButton;
+    protected System.Windows.Forms.Button startButton;
+    protected HeuristicLab.Core.Views.OperatorGraphView operatorGraphView;
+    protected HeuristicLab.Core.Views.ScopeView scopeView;
+    private System.Windows.Forms.ToolTip toolTip;
+
+  }
+}
